AppTV Skin on newest OSMC

Hello,

I freshly installed newest OSMC last night (see kodi.log snip below) last night on a new Raspberry Pi 3. I typically use AppTV skin. However, I have this problem now:

“Failed to install dependency”

from kodi.log:

11:11:48 8.585322 T:1957163952 NOTICE: Starting Kodi (16.1). Platform: Linux ARM (Thumb) 32-bit
11:11:48 8.585354 T:1957163952 NOTICE: Using Release Kodi x32 build (version for Raspberry Pi)
11:11:48 8.585391 T:1957163952 NOTICE: Kodi compiled Jul 31 2016 by GCC 4.9.2 for Linux ARM (Thumb) 32-bit version 3.16.7 (200711)
11:11:48 8.585595 T:1957163952 NOTICE: Running on Open Source Media Center 2016.07-1, kernel: Linux ARM 32-bit version 4.4.16-1-osmc



11:23:28 104.528427 T:1957163952 ERROR: CCurlFile::Open failed with code 404 for http://download.osmc.tv/kodi/addons/jarvis/skin.apptv/skin.apptv-1.3.5.zip.md5
11:23:28 104.528587 T:1957163952 ERROR: Open - failed to open source http://download.osmc.tv/kodi/addons/jarvis/skin.apptv/skin.apptv-1.3.5.zip.md5
11:23:29 104.978096 T:1458562032 ERROR: CAddonInstallJob[skin.apptv]: failed to install dependency script.xbmc.debug.log
11:27:11 327.045471 T:1768752112 ERROR: Previous line repeats 1 times.

I browse here on my laptop: http://download.osmc.tv/kodi/addons/jarvis/skin.apptv/ and there is no skin.apptv-1.3.5.zip.md5 listed. Why is my new install expecting an .md5, the checksum file? I am not understanding.

Thank you for the help!

Sounds like a repo issue as opposed to an OSMC problem. Maybe you’ll get an answer on the Kodi forum thread you already posted.

Our repo just mirrors that of Kodi’s. The uploader may have not uploaded the MD5 which is why the skin does not install properly.

The good news is you can just download the ZIP directly and install this in Kodi.

Tried installing from zip an get dependency failed to install::

15:19:12 14248.596680 T:1458562032 ERROR: CAddonInstallJob[skin.apptv]: failed to install dependency script.xbmc.debug.log

I’ve already installed a fresh OSMC twice so…how do I get this dependency?

I think debug.log had some issues recently.

I assume you’ve contacted the developer of this skin? What did they say?

No response yet.